OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
Cheats Struct Reference

WARNING! Do not remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility. More...

`#include <cheat_type.h>`

## Data Fields
Cheat | magic_bulldozer
| dynamite industries, objects
Cheat | switch_company
| change to another company
Cheat | money
| get rich or poor
Cheat | crossing_tunnels
| allow tunnels that cross each other
Cheat | dummy1
| empty cheat (build while in pause mode)
Cheat | no_jetcrash
| no jet will crash on small airports anymore
Cheat | dummy2
| empty cheat (change the climate of the map)
Cheat | change_date
| changes date ingame
Cheat | setup_prod
| setup raw-material production in game
Cheat | dummy3
| empty cheat (enable running el-engines on normal rail)
Cheat | edit_max_hl
| edit the maximum heightlevel; this is a cheat because of the fact that it needs to reset NewGRF game state and doing so as a simple configuration breaks the expectation of many

## Detailed Description

WARNING! Do not remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility.

Only add new entries at the end of the struct!

Definition at line 28 of file cheat_type.h.

The documentation for this struct was generated from the following file:

- src/cheat_type.h